# Class IconSizeCalculator

Calculates icon size. Used by IconHandler to calculate the size a icon shall be rendered with.

##### Index

### Constructors

constructor

### Properties

options

### Methods

get

## Constructors

### constructor

- new IconSizeCalculator(o?: IconSizeOptions): IconSizeCalculator

  #### Parameters

  - `Optional` o: IconSizeOptions

  #### Returns IconSizeCalculator

## Properties

### `Readonly` options

options: DeepImmutable<Required<IconSizeOptions>>

## Methods

### get

- get(iconLength: number, camera: Camera, renderTargetSize: ISize): number

  Get icon size

  #### Parameters

  - iconLength: number

    side of the icon

  - camera: Camera

    camera the icon will be rendered with

  - renderTargetSize: ISize

    size of the render target that the icon will be rendered to.

  #### Returns number

  Size of icon to use when rendering.